%define aurox_ver 11.0
%define rel 2


%define smp 1

%define desktop_file 1
%define redhat_artwork 1
%define desktop_file_utils_version 0.2.93

%define mysql4 1

%define immodule 1

%define ver 3.3.4

%define qt_dirname qt-3.3
%define qtdir %{_libdir}/%{qt_dirname}

# build Motif extention
%define motif_extention 0

# pkg-config
%define pkg_config 1

# install manuals
%define installman 1

# buildmysql: Build MySQL plugins
%define buildmysql 1

# buildpsql: Build Postgres plugins
%define buildpsql 1

# buildodbc: Build ODBC plugins
%define buildodbc 1

# buildmt: Build libs with threading support
%define buildmt 1

# cups support
%define cups 1

%define debug 0

%define sover %{ver}

%define styleplugins 0

%if %{styleplugins}
%define plugins_style -plugin-style-cde -plugin-style-motifplus -plugin-style-platinum -plugin-style-sgi -plugin-style-windows -plugin-style-compact -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%else
%define plugins_style -qt-style-cde -qt-style-motifplus -qt-style-platinum -qt-style-sgi -qt-style-windows -qt-style-compact -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%endif

%if %{buildmysql}
%define plugin_mysql -plugin-sql-mysql
%else
%define plugin_mysql %{nil}
%endif

%if %{mysql4}
%define mysql_include_dir %{_includedir}/mysql
%define mysql_lib_dir %{_libdir}/mysql
%define mysql_buildreq mysql-devel
%else
%define mysql_include_dir %{_includedir}/mysql3/mysql
%define mysql_lib_dir %{_libdir}/mysql3/mysql
%define mysql_buildreq mysqlclient10-devel
%endif

%if %{buildpsql}
%define plugin_psql -plugin-sql-psql
%else
%define plugin_psql %{nil}
%endif

%if %{buildodbc}
%define plugin_odbc -plugin-sql-odbc
%else
%define plugin_odbc %{nil}
%endif

%define plugins %{plugin_mysql} %{plugin_psql} %{plugin_odbc} %{plugins_style}

Summary: The shared library for the Qt GUI toolkit.
Name: qt
Version: %{ver}
Release: %{aurox_ver}.aur.%{rel}
Epoch: 1
License: GPL/QPL
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Url: http://www.troll.no
Source: ftp://ftp.troll.no/qt/source/qt-x11-free-%{version}.tar.bz2
Source1: qtrc

Patch1: qt-3.3.4-print-CJK.patch
Patch2: qt-3.0.5-nodebug.patch
Patch3: qt-3.1.0-makefile.patch
Patch5: qt-x11-free-3.3.0-strip.patch
Patch7: qt-x11-free-3.3.2-quiet.patch
Patch8: qt-x11-free-3.3.3-qembed.patch
Patch12: qt-uic-nostdlib.patch
Patch13: qt-x11-free-3.3.4-qfontdatabase_x11.patch
Patch14: qt-x11-free-3.3.3-gl.patch
Patch16: qt-x11-free-3.3.4-fullscreen.patch
Patch17: qt-x11-free-3.3.4-gcc4.patch
Patch18: qt-x11-free-3.3.4-gcc4-buildkey.patch
Patch19: qt-3.3.3-gtkstyle.patch 
Patch20: qt-x11-free-3.3.4-qtlocale.patch
Patch21: qt-x11-free-3.3.3-Punjabi.patch

# immodule patches
Patch50: qt-x11-immodule-unified-qt3.3.4-20041203.diff.bz2
Patch51: qximinputcontext_x11.cpp.patch
Patch52: qt-x11-free-3.3.3-immodule-quiet.patch
Patch53: qt-x11-free-3.3.3-immodule-qinputcontext.patch
Patch54: qt-x11-free-3.3.4-immodule-xim.patch
Patch55: qt-x11-free-3.3.4-imm-key.patch

# qt-copy patches
Patch100: 0048-qclipboard_hack_80072.patch

Prefix: %{qtdir}

Prereq: /sbin/ldconfig
Prereq: fileutils

Requires: fontconfig >= 2.0
Requires: /etc/ld.so.conf.d

BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: libmng-devel
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: libungif-devel
BuildRequires: perl
BuildRequires: sed
BuildRequires: findutils
BuildRequires: xorg-x11-devel
BuildRequires: cups-devel
BuildRequires: tar

%if %{motif_extention}
BuildRequires: openmotif-devel >= 2.2.2
%endif

%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%if %{buildmysql}
BuildRequires: %{mysql_buildreq}
%endif

%if %{buildpsql}
BuildRequires: postgresql-devel
%endif

%if %{buildodbc}
BuildRequires: unixODBC-devel
%endif

BuildRequires: fontconfig-devel >= 2.0


%package config
Summary: Grapical configuration tool for programs using Qt.
Group: User Interface/Desktops
Requires: %{name} = %{epoch}:%{version}-%{release}


%package devel
Summary: Development files for the Qt GUI toolkit.
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: xorg-x11-devel
Requires: libpng-devel
Requires: libjpeg-devel
Requires: libmng-devel


%package Xt
Summary: An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}


%package styles
Summary: Extra styles for the Qt GUI toolkit.
Group: User Interface/Desktops
Requires: %{name} = %{epoch}:%{version}-%{release}


%if %{buildodbc}
%package ODBC
Summary: ODBC drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%endif


%if %{buildmysql}
%package MySQL
Summary: MySQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%endif


%if %{buildpsql}
%package PostgreSQL
Summary: PostgreSQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%endif


%package static
Summary: Version of the Qt GUI toolkit for static linking.
Group: Development/Libraries
Requires: %{name}-devel = %{epoch}:%{version}-%{release}


%package designer
Summary: Interface designer (IDE) for the Qt toolkit.
Group: Development/Tools
Requires: %{name}-devel = %{epoch}:%{version}-%{release}


%package doc
Summary: Documentation for the Qt GUI toolkit.
Group: Development/Tools
Requires: %{name}-devel = %{epoch}:%{version}-%{release}

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run qt
applications, as well as the README files for qt.


%description config
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains a grapical configuration tool for programs using Qt.


%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.


%description Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.


%description static
Version of the Qt library for static linking


%description styles
Extra styles (themes) for the Qt GUI toolkit.


%if %{buildodbc}
%description ODBC
ODBC driver for Qt's SQL classes (QSQL)
%endif


%if %{buildmysql}
%description MySQL
MySQL driver for Qt's SQL classes (QSQL)
%endif


%if %{buildpsql}
%description PostgreSQL
PostgreSQL driver for Qt's SQL classes (QSQL)
%endif


%description designer
The qt-designer package contains an User Interface designer tool
for the Qt toolkit.


%description doc
The qt-doc package contains the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
%{_docdir}/%{name}-devel-%{version}/html/index.html,
which provides Qt documentation in HTML format.


%prep
%setup -q -n %{name}-x11-free-%{version}
%patch1 -p1 -b .cjk
%patch2 -p1 -b .ndebug
%patch3 -p1 -b .makefile
%patch5 -p1
%patch7 -p1 -b .quiet
%patch8 -p1 -b .qembed
%patch12 -p1 -b .nostdlib
%patch13 -p1 -b .fonts
%patch14 -p1 -b .gl
%patch16 -p1 -b .size
%patch17 -p1 -b .gcc4
%patch18 -p1 -b .key
%patch19 -p1 -b .gtk
%patch20 -p1 -b .gcc4
%patch21 -p1 -b .punjabi

%if %{immodule}
%patch50 -p1
%patch51 -p0 -b .qximinputcontext_x11
%patch52 -p1 -b .quiet
%patch53 -p1 -b .im
%patch54 -p1 -b .xim
%patch55 -p1 -b .key
%endif

%patch100 -p0 -b .klipper

# convert to UTF-8
iconv -f iso-8859-1 -t utf-8 < doc/man/man3/qdial.3qt > doc/man/man3/qdial.3qt_
mv doc/man/man3/qdial.3qt_ doc/man/man3/qdial.3qt

%build
export QTDIR=`/bin/pwd`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"
export QTDEST=%{qtdir}

%if %{smp}
   export SMP_MFLAGS="%{?_smp_mflags}"
%endif

%if %{immodule}
   sh ./make-symlinks.sh
%endif

# OPTFLAGS="$(echo $RPM_OPT_FLAGS | sed -e 's,-O2,-O0,')"

# don't use rpath
perl -pi -e "s|-Wl,-rpath,| |" mkspecs/*/qmake.conf

# set correct FLAGS
perl -pi -e "s|-O2|$INCLUDES $RPM_OPT_FLAGS|g" mkspecs/*/qmake.conf

# set correct lib path
if [ "%{_lib}" == "lib64" ] ; then
   perl -pi -e "s,/lib, /%{_lib},g" config.tests/unix/{checkavail,cups.test,nis.test}
fi

# build shared, threaded (default) libraries
echo yes | ./configure \
  -prefix $QTDEST \
  -docdir %{_docdir}/qt-devel-%{version}/ \
%if %{_lib} == lib64
  -platform linux-g++-64 \
%else
  -platform linux-g++ \
%endif
%if %{debug}
  -debug \
%else
  -release \
%endif
  -shared \
  -largefile \
  -qt-gif \
  -system-zlib \
  -system-libpng \
  -system-libmng \
  -system-libjpeg \
  -no-g++-exceptions \
  -enable-styles \
  -enable-tools \
  -enable-kernel \
  -enable-widgets \
  -enable-dialogs \
  -enable-iconview \
  -enable-workspace \
  -enable-network \
  -enable-canvas \
  -enable-table \
  -enable-xml \
  -enable-opengl \
  -enable-sql \
  -qt-style-motif \
  %{plugins} \
  -stl \
%if %{buildmt}
  -thread \
%endif
%if %{cups}
  -cups \
%endif
  -sm \
%if "%{xfree_xinerame}" == "0"
  -L`pwd`/Xinerama \
%endif
  -xinerama \
  -xrender \
  -xkb \
  -ipv6 \
  -dlopen-opengl \
  -xft

make $SMP_MFLAGS src-qmake

# build psql plugin
%if %{buildpsql}
   pushd plugins/src/sqldrivers/psql
   qmake -o Makefile "INCLUDEPATH+=%{_includedir}/pgsql %{_includedir}/pgsql/server %{_includedir}/pgsql/internal" "LIBS+=-lpq" psql.pro
popd
%endif

# build mysql plugin
%if %{buildmysql}
   pushd plugins/src/sqldrivers/mysql
   qmake -o Makefile "INCLUDEPATH+=%{mysql_include_dir}" "LIBS+=-L%{mysql_lib_dir} -lmysqlclient" mysql.pro
popd
%endif

# build odbc plugin
%if %{buildodbc}
   pushd plugins/src/sqldrivers/odbc
   qmake -o Makefile "LIBS+=-lodbc" odbc.pro
   popd
%endif

make $SMP_MFLAGS src-moc
make $SMP_MFLAGS sub-src
make $SMP_MFLAGS sub-tools UIC="$QTDIR/bin/uic -nostdlib -L $QTDIR/plugins"

# build Xt/Motif Extention
%if %{motif_extention}
   make -C extensions/motif/src $SMP_MFLAGS
%endif

%install
rm -rf %{buildroot}

export QTDIR=`/bin/pwd`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"
export QTDEST=%{qtdir}

make install INSTALL_ROOT=%{buildroot}

for i in findtr qt20fix qtrename140 lrelease lupdate ; do
   install bin/$i %{buildroot}%{qtdir}/bin/
done

%if ! %{pkg_config}
   rm -rf %{buildroot}%{_libdir}/pkgconfig
%else
   mkdir -p  %{buildroot}%{_libdir}/pkgconfig
   pushd %{buildroot}%{_libdir}/pkgconfig
   ln -sf ../%{qt_dirname}/lib/pkgconfig/* .
popd
%endif

# install man pages
%if %{installman}
  mkdir -p %{buildroot}%{_mandir}
  cp -fR doc/man/* %{buildroot}%{_mandir}/
%endif

# clean up
make -C tutorial clean
make -C examples clean

# Make sure the examples can be built outside the source tree.
# Our binaries fulfill all requirements, so...
perl -pi -e "s,^DEPENDPATH.*,,g;s,^REQUIRES.*,,g" `find examples -name "*.pro"`

# don't include Makefiles of qt examples/tutorials
find examples -name "Makefile" | xargs rm -f
find examples -name "*.obj" | xargs rm -rf
find examples -name "*.moc" | xargs rm -rf
find tutorial -name "Makefile" | xargs rm -f

for a in */*/Makefile ; do
  sed 's|^SYSCONF_MOC.*|SYSCONF_MOC		= %{qtdir}/bin/moc|' < $a > ${a}.2
  mv -v ${a}.2 $a
done

mkdir -p %{buildroot}/etc/profile.d
cat > %{buildroot}/etc/profile.d/qt.sh <<EOF
# Qt initialization script (sh)
if [ -z "\$QTDIR" ] ; then
	QTDIR="%{qtdir}"
fi
export QTDIR
EOF

cat > %{buildroot}/etc/profile.d/qt.csh <<EOF
# Qt initialization script (csh)
if ( \$?QTDIR ) then
         exit
endif
setenv QTDIR %{qtdir}
EOF

chmod 755 %{buildroot}/etc/profile.d/*

mkdir -p %{buildroot}%{_bindir}
for i in bin/*; do
	ln -s ../%{_lib}/%{qt_dirname}/bin/`basename $i` %{buildroot}/%{_bindir}
done

# Add desktop file
%if %{desktop_file}
   mkdir -p %{buildroot}%{_datadir}/applications
   cat >%{buildroot}%{_datadir}/applications/qt-designer.desktop <<EOF
%else
   mkdir -p %{buildroot}%{_datadir}/applnk/Development
   cat >%{buildroot}%{_datadir}/applnk/Development/designer.desktop <<EOF
%endif
[Desktop Entry]
BinaryPattern=designer;
Name=Qt Designer
GenericName=Interface Designer
Exec=designer
Icon=designer
InitialPreference=5
MapNotify=true
MimeType=application/x-designer
Terminal=false
Encoding=UTF-8
Type=Application
Categories=Application;Development;X-Red-Hat-Extra;
X-Desktop-File-Install-Version=0.3
EOF

# move it into redhat-artwork
%if ! %{redhat_artwork}
   # Sane default settings
   mkdir -p %{buildroot}%{qtdir}/etc/settings
   cat >%{buildroot}%{qtdir}/etc/settings/qtrc <<"EOF"
[General]
libraryPath=%{_libdir}/kde3/plugins
style=Highcolor

[KDE]
contrast=7
EOF
%endif

# Patch qmake to use qt-mt unconditionally
perl -pi -e "s,-lqt ,-lqt-mt ,g;s,-lqt$,-lqt-mt,g" %{buildroot}%{qtdir}/mkspecs/*/qmake.conf

# remove broken links
rm -f %{buildroot}%{qtdir}/mkspecs/default/linux-g++*
rm -f %{buildroot}%{qtdir}/lib/*.la

mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{qtdir}/lib" > %{buildroot}/etc/ld.so.conf.d/qt-%{_arch}.conf

# Move more docs
cp -R examples %{buildroot}%{_docdir}/%{name}-devel-%{version}/
cp -R tutorial %{buildroot}%{_docdir}/%{name}-devel-%{version}/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc FAQ LICENSE.QPL README* changes*
%dir %{qtdir}
%dir %{qtdir}/bin
%dir %{qtdir}/lib
%dir %{qtdir}/plugins
%if %{immodule}
%{qtdir}/plugins/inputmethods
%endif
/etc/ld.so.conf.d/*
%if ! %{redhat_artwork}
%{qtdir}/etc/settings/qtrc
%endif
%{qtdir}/lib/libqui.so.*
%{qtdir}/lib/libqt*.so.*


%files config
%defattr(-,root,root,-)
%{qtdir}/bin/qtconfig
%{_bindir}/qtconfig*


%files devel
%defattr(-,root,root,-)
%attr(0755,root,root) %config /etc/profile.d/*
%{qtdir}/bin/moc
%{qtdir}/bin/uic
%{qtdir}/bin/findtr
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtrename140
%{qtdir}/bin/assistant
%{qtdir}/bin/qm2ts
%{qtdir}/bin/qmake
%{qtdir}/bin/qembed
%{qtdir}/bin/linguist
%{qtdir}/bin/lupdate
%{qtdir}/bin/lrelease
%{qtdir}/include
%{qtdir}/mkspecs
%{qtdir}/lib/libqt*.so
%{qtdir}/lib/libqui.so
%{qtdir}/lib/libeditor.a
%{qtdir}/lib/libdesigner*.a
%{qtdir}/lib/libqassistantclient.a
%{qtdir}/lib/*.prl
%if %{installman}
%{_mandir}/*/*
%endif
%{qtdir}/translations
%{qtdir}/phrasebooks
%{_bindir}/assistant*
%{_bindir}/moc*
%{_bindir}/uic*
%{_bindir}/findtr*
%{_bindir}/qt20fix*
%{_bindir}/qtrename140*
%{_bindir}/qmake*
%{_bindir}/qm2ts*
%{_bindir}/qembed
%{_bindir}/linguist
%{_bindir}/lrelease
%{_bindir}/lupdate
%if %{pkg_config}
%{_libdir}/pkgconfig/*
%{qtdir}/lib/pkgconfig
%endif

%if %{motif_extention}
%post Xt -p /sbin/ldconfig
%postun Xt -p /sbin/ldconfig

%files Xt
%defattr(-,root,root,-)
%{qtdir}/lib/libqmotif.so*
%endif


%if %{styleplugins}
%files styles
%defattr(-,root,root,-)
%dir %{qtdir}/plugins/styles
%{qtdir}/plugins/styles/*
%endif


%if %{buildodbc}
%files ODBC
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlodbc*
%endif


%if %{buildpsql}
%files PostgreSQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlpsql*
%endif


%if %{buildmysql}
%files MySQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlmysql*
%endif


%files designer
%defattr(-,root,root,-)
%{_bindir}/designer*
%dir %{qtdir}/plugins/designer
%{qtdir}/templates
%{qtdir}/plugins/designer/*
%{qtdir}/bin/designer
%if %{desktop_file}
%{_datadir}/applications/*.desktop
%else
%{_datadir}/applnk/Development/*
%endif


%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-devel-%{version}/html
%{_docdir}/%{name}-devel-%{version}/examples
%{_docdir}/%{name}-devel-%{version}/tutorial


%changelog
* Mon Jul 18 2005 Karol Kozimor <kkozimor@aurox.org> 1:3.3.4-11.0.aur.2
- rebuild

* Wed Jun 29 2005 Than Ngo <than@redhat.com> 1:3.3.4-15.1
- apply patch to fix Rendering for Punjabii, thanks to Trolltech #156504
- add better fix for #156977, thanks to trolltech
- apply patch to fix keyReleaseEvent problem #156572

* Fri Jun 17 2005 Karol Kozimor <kkozimor@aurox.org> 1:3.3.4-11.0.aur.1
- rebuild

* Tue May 24 2005 Than Ngo <than@redhat.com> 1:3.3.4-15
- add better fix for #156977, thanks to trolltech

* Wed May 18 2005 Than Ngo <than@redhat.com> 1:3.3.4-14
- apply patch to use ecvt, fcvt (thanks to Jakub)
- fix a bug in printing of postscript #156977

* Wed May 18 2005 Than Ngo <than@redhat.com> 1:3.3.4-13
- rebuild

* Thu Apr 14 2005 Than Ngo <than@redhat.com> 1:3.3.4-12
- fix bad symlink #154086

* Wed Apr 13 2005 Than Ngo <than@redhat.com> 1:3.3.4-11
- remove bad symlink #154086
- built with PostgresSQL 8.0.2

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 1:3.3.4-10
- add GtkStyle patch from Peter Backlund #141125

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 1:3.3.4-9
- fix buildkey issue with gcc-4

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 1:3.3.4-8
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 1:3.3.4-7
- fix build problem with gcc4

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 1:3.3.4-6
- rebuilt against gcc-4

* Tue Feb 22 2005 Than Ngo <than@redhat.com> 1:3.3.4-5
- fix application crash when input methode not available (bug #140658)
- remove .moc/.obj
- add qt-copy patch to fix KDE #80072

* Fri Feb 11 2005 Than Ngo <than@redhat.com> 1:3.3.4-4
- update qt-x11-immodule-unified patch

* Thu Feb 10 2005 Than Ngo <than@redhat.com> 1:3.3.4-3 
- fix rpm file conflict

* Wed Feb 02 2005 Than Ngo <than@redhat.com> 1:3.3.4-2
- remove useless doc files #143949
- fix build problem if installman is disable #146311
- add missing html/examples/tutorial symlinks

* Fri Jan 28 2005 Than Ngo <than@redhat.com> 1:3.3.4-1
- update to 3.3.4
- adapt many patches to qt-3.3.4
- drop qt-x11-free-3.3.0-freetype, qt-x11-free-3.3.3-qmake, qt-x11-free-3.3.1-lib64
  qt-x11-free-3.3.3-qimage, which are included in new upstream

* Tue Nov 30 2004 Than Ngo <than@redhat.com> 1:3.3.3-16
- add sql macro

* Mon Nov 29 2004 Than Ngo <than@redhat.com> 1:3.3.3-15
- convert qdial.3qt to UTF-8 bug #140946

* Tue Nov 23 2004 Than Ngo <than@redhat.com> 1:3.3.3-14
- add missing lupdate and lrelease #140230

* Fri Nov 19 2004 Than Ngo <than@redhat.com> 1:3.3.3-13 
- apply patch to fix qinputcontext

* Thu Nov 11 2004 Than Ngo <than@redhat.com> 1:3.3.3-12
- link against MySQL 3
- fix rpm conflict

* Wed Nov 10 2004 Than Ngo <than@redhat.com> 1:3.3.3-11
- apply patch to fix fullscreen problem
- remove html documents duplicate #135696

* Tue Nov 02 2004 Than Ngo <than@redhat.com> 1:3.3.3-10
- rebuilt

* Tue Nov 02 2004 Than Ngo <than@redhat.com> 1:3.3.3-9
- remove unused patch
- set XIMInputStyle=On The Spot
- require xorg-x11-devel instead XFree86-devel

* Thu Oct 14 2004 Than Ngo <than@redhat.com> 1:3.3.3-8
- don't compress examples/tutorial

* Thu Oct 07 2004 Than Ngo <than@redhat.com> 1:3.3.3-7
- fix build problem without qt immodule #134918

* Tue Sep 28 2004 Than Ngo <than@redhat.com> 1:3.3.3-6
- fix font problem, bz #133578

* Tue Sep 14 2004 Than Ngo <than@redhat.com> 1:3.3.3-4
- update new immodule patch
- fix multilib problem #132516

* Wed Aug 18 2004 Than Ngo <than@redhat.com> 1:3.3.3-3
- add patch to fix dlopen issue (#126422)
- add image handling fix

* Thu Aug 12 2004 Than Ngo <than@redhat.com> 1:3.3.3-2
- fix qmake broken link (#129723)

* Wed Aug 11 2004 Than Ngo <than@redhat.com> 1:3.3.3-1
- update to 3.3.3 release

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 1:3.3.2-10
- add immodule for Qt

* Tue Jun 29 2004 Than Ngo <than@redhat.com> 1:3.3.2-9
- add sub package config, allow multi lib installation (#126643)

* Thu Jun 24 2004 Than Ngo <than@redhat.com> 1:3.3.2-8
- add fontconfig fix for qfontdatabase, #123868
- fix some buildrequires problem, #125289
- fix dangling symlink, #125351
- get rid of backup files

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 1:3.3.2-7
- rebuilt

* Tue May 25 2004 Than Ngo <than@redhat.com> 1:3.3.2-5
- add missing qembed tool #124052, #124052
- get rid of unused trigger
- add qt.conf in ld.so.conf.d -> don't change ld.so.conf #124080

* Wed May 12 2004 Than Ngo <than@redhat.com> 1:3.3.2-4
- backport some qt patches, Symbol font works again

* Mon May 10 2004 Than Ngo <than@redhat.com> 1:3.3.2-3
- fixed annoying warning

* Tue May 04 2004 Than Ngo <than@redhat.com> 1:3.3.2-2
- fix broken symlink at qt document, bug #121652

* Thu Apr 29 2004 Than Ngo <than@redhat.com> 3.3.2-1
- update to 3.3.2

* Thu Apr 22 2004 Than Ngo <than@redhat.com> 3.3.1-1
- add cvs backport
- fix lib64 issue, #121052
- fix CJK font display, bug #121017, #120542, thanks to Leon Ho
- compress tutorial/examples

* Fri Mar 26 2004 Than Ngo <than@redhat.com> 3.3.1-0.8
- fixed symlinks issue, #117572

* Thu Mar 25 2004 Than Ngo <than@redhat.com> 3.3.1-0.7
- add Trolltech patch, fix dpi setting issue

* Tue Mar 23 2004 Than Ngo <than@redhat.com> 3.3.1-0.6
- add 0034-qclipboard_recursion_fix.patch from CVS, #118368
- add better qt-x11-free-3.3.1-fontdatabase.patch

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 1:3.3.1-0.5
- disable smpflags

* Fri Mar 05 2004 Than Ngo <than@redhat.com> 1:3.3.1-0.4
- fix font alias

* Thu Mar 04 2004 Than Ngo <than@redhat.com> 1:3.3.1-0.3
- add fontdatabase fix from Trolltech

* Thu Mar 04 2004 Than Ngo <than@redhat.com> 1:3.3.1-0.2
- fix wrong symlink #117451

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 01 2004 Than Ngo <than@redhat.com> 3.3.1-0.1
- update to 3.3.1

* Mon Feb 23 2004 Than Ngo <than@redhat.com> 3.3.0-0.4
- add fix for building with freetype 2.1.7 or newer

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 3.3.0-0.3 
- enable IPv6 support
- use dlopen, instead of linking with OpenGL libraries directly
- don't install backup files

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 1:3.3.0-0.2
- fix fontdatabase
- don't use strip in install script
- fix qt default setting
 
* Wed Feb 04 2004 Than Ngo <than@redhat.com> 1:3.3.0-0.1
- 3.3.0

* Fri Jan 30 2004 Than Ngo <than@redhat.com> 1:3.2.3-0.4
- add mouse patch from CVS, bug #114647

* Tue Jan 20 2004 Than Ngo <than@redhat.com> 1:3.2.3-0.3
- rebuild

* Tue Dec  2 2003 Than Ngo <than@redhat.com> 1:3.2.3-0.2
- Added missing prl files, (report from trolltech)
- Fixed description
- include requires XFree86-devel on qt-devel
 
* Fri Nov 14 2003 Than Ngo <than@redhat.com> 1:3.2.3-0.1
- 3.2.3 release

* Thu Oct 30 2003 Than Ngo <than@redhat.com> 1:3.2.2-0.4
- fix encoding problem

* Sat Oct 18 2003 Than Ngo <than@redhat.com> 1:3.2.2-0.3
- fix encoding problem

* Fri Oct 17 2003 Than Ngo <than@redhat.com> 1:3.2.2-0.2
- add font alias patch file, thanks to Leon Ho
- clean up monospace.patch from Leon Ho
- remove some unneeded patch files

* Thu Oct 16 2003 Than Ngo <than@redhat.com> 1:3.2.2-0.1
- 3.2.2 release
- remove a patch file, which is included in 3.2.2

* Tue Oct 14 2003 Than Ngo <than@redhat.com> 1:3.2.1-1.3
- remove some unneeded patch files
- don't load XLFDs if XFT2 is used

* Mon Sep 08 2003 Than Ngo <than@redhat.com> 1:3.2.1-1.2
- fixed rpm file list

* Tue Sep 02 2003 Than Ngo <than@redhat.com> 1:3.2.1-1.1
- fix for the khtml form lineedit bug from CVS

* Wed Aug 27 2003 Than Ngo <than@redhat.com> 1:3.2.1-1
- 3.2.1 release

* Wed Jul 23 2003 Than Ngo <than@redhat.com> 1:3.2.0-1
- 3.2.0 release

* Mon Jun 23 2003 Than Ngo <than@redhat.com> 3.2.0b2-0.1
- 3.2.0b2
- add missing templates for designer

* Wed Jun 18 2003 Than Ngo <than@redhat.com> 3.2.0b1-0.2
- clean up specfile

* Wed Jun 18 2003 Than Ngo <than@redhat.com> 3.2.0b1-0.1
- 3.2.0b1

* Tue Jun 17 2003 Than Ngo <than@redhat.com> 3.1.2-12
- rebuilt

* Tue Jun 17 2003 Than Ngo <than@redhat.com> 3.1.2-10
- add missing translations

* Wed Jun 11 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-7
- add some patches from KDE CVS qt-copy, thanks to Alexei Podtelezhnikov

* Mon May  5 2003 Than Ngo <than@redhat.com> 3.1.2-5.1
- set correct permission config scripts

* Tue Apr 29 2003 Than Ngo <than@redhat.com> 3.1.2-4
- fix typo bug in font loader

* Wed Apr  9 2003 Than Ngo <than@redhat.com> 3.1.2-2
- add xrandr extension

* Mon Mar  3 2003 Than Ngo <than@redhat.com> 3.1.2-1
- 3.1.2 release

* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com> 3.1.1-7
- ppc64 support

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 3.1.1-6
- add missing Categories section in qt designer #82920

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de> 3.1.1-4
- Change qmlined.h to not include an attic header that is also not shipped
  with Red Hat Linux. This also fixes building unixODBC, that includes this
  header (apparently also without needing it).

* Thu Dec 19 2002 Than Ngo <than@redhat.com> 3.1.1-3
- add monospace patch file from Leon Ho (bug #79949)
- add small patch file from Sysoltsev Slawa (bug #79731)

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 3.1.1-2
- don't require XFree86, it's not needed

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 3.1.1-1
- update to 3.1.1

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1.0-1.3
- don't write Date into created moc files

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.1.0-1.2
- add missing libs
- remove workaround for ppc

* Sun Nov 17 2002 Than Ngo <than@redhat.com> 3.1.0-1.1
- adjust qfontdatabase_x11 for 3.1.0
- fix lib64 issue
- add workaround to build on ppc

* Wed Nov 13 2002 Than Ngo <than@redhat.com> 3.1.0-1
- update to 3.1.0
- adjust some patch files for 3.1.0
- clean up specfile
- remove some Xft2 patch files, which are now in 3.1.0
- add qwidget_x11.cpp.diff from Trolltech
- install qt in %%{_libdir}/qt-3.1 (bug #77706)
- don't use rpath
- enable large file support
- use system Xinerama
- remove unneeded cups patch file
- fix to build against new XFree86
